Subject: Re: bug#16528: [External] : bug#16528: 24.3; too many keybindings in minibuffer-local-completion-map

From: Kévin Le Gouguec <[email-masked]>
Date: Fri, 20 Aug 2021 21:51:21 +0200

Drew Adams <[email-masked]> writes:

>> But I don't think we can change the defaults here (it would drive (some)
>> people crazy),
>
> Who?  Why?  How consequential?  What about others?
>
> How about one good argument why `?', `SPC', and `C-j'
> shouldn't be self-inserting in the minibuffer, in
> general?  If you were designing Emacs today, would
> you make the same argument?

I don't know about good arguments, but FWIW on AZERTY, where '-' is a
pain to reach for, I enjoy 'SPC' doing word completion and inserting
hyphens for Elisp symbols on M-x, C-h v, C-h f, etc.

I'll admit it's a pretty niche use-case, although off the top of my
head, I can't find much uses for self-inserting SPC/?/C-j in the
minibuffer either (Emacs 28's yank-from-kill-ring comes to mind, but '?'
and 'SPC' are already self-inserting there[1]).

[1] https://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/simple.el?id=00a9c50ad7c82f72b422100624f7f125d717c00f#n5793